# Current Focus

## Active Work
- Implemented SCP/SFTP support in SSHSession and SSHServerMCP per `scp_plan.md`.
- Added file transfer, directory listing, removal, and disk usage methods.
- Updated interfaces documentation.

## Recent Changes
- Extended `SSHSession` and `SSHServerMCP` with SFTP/SCP logic and new tool methods.
- Added FileTransferParams Pydantic model.

## Next Steps
- Add/expand tests for file transfer edge cases (size, space, conflict, errors).
- Update README and user documentation.
- Review and refactor as needed after initial testing.
