# Project Overview

## Purpose
This project is for MCP SSH management and automation. It includes server code, tests, and plans for SCP (Secure Copy Protocol) functionality, as referenced in `scp_plan.md`.

## Goals
- Implement robust SSH and SCP automation for MCP.
- Follow structured development and documentation practices, as outlined in the MEMORY BANK rules.

## High-Level Architecture
- `src/mcpssh/`: Main server and logic implementation.
- `tests/`, `test_mcp.py`, `test_ssh.py`: Testing suites.
- `.note/`: Memory Bank and documentation for development continuity.

---

*This overview will be updated as the project evolves and as more details from `scp_plan.md` and other documentation are integrated.*
